/api/v1/ticketing-teams/{id} (PATCH)
const url = 'https://api.endless.zaia.app/api/v1/ticketing-teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"description":"example","name":"example","picture":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.endless.zaia.app/api/v1/ticketing-teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "name": "example", "picture": "example" }'Updates a ticketing team.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
The internal description of the ticketing team.
The display name of the ticketing team.
The picture associated with the ticketing team.
Examplegenerated
{ "description": "example", "name": "example", "picture": "example"}Responses
Seção intitulada “Responses”The ticketing team was updated.
object
A UUID v4 string that identifies an entity.
The internal description of the ticketing team.
The display name of the ticketing team.
The picture associated with the ticketing team.
The workspace ID that owns the ticketing team.
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "isRemoved": true, "updatedAt": "2026-04-15T12:00:00Z", "description": "example", "name": "example", "picture": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Ticketing team not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}